import { HideSolution, ShowSolution } from "./Buttons";
import { Hpopart } from "./Headings";


interface QuizProps{
    name: string; 
    front: string; 
    back: string
}

export function QuizQuestion({name, front, back}: QuizProps){

    return(
        <div className="quiz-wrapper">
            <div className="col quiz-front" id={`front-${name}`}>
                {QuizHeading}
                <div className="row quiz-text">
                    <div className="col">
                        {front}
                    </div>
                </div>
                <br/>
                <div className="row quiz-button-box">
                    <ShowSolution element={name}/>
                </div>
            </div>
            <div className="col quiz-back" id={`back-${name}`} style={{display: "none"}}>
                {QuizHeading}
                <div className="row quiz-text">
                    <div className="col">
                        {back}
                    </div>
                </div>
                <br/>
                <div className="row quiz-button-box">
                    <HideSolution element={name}/>
                </div>
            </div>
        </div>
    )
}


const QuizHeading = <div className="col"><div className="quiz-heading">Quiz Question!</div></div>